package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.weapons.Weapon;

// TODO: UPDATE IMPLEMENTATION
public class Knight extends Player {
    private static final int knightHp = 40 ;
    private static final int knightmp = 20 ;
    public Knight(String name , Weapon weapon , Armor armor )
    {
        super(name , knightHp , knightmp ,weapon ,armor);
    }

    @Override
    public void specialAttack(Entity target) {
        target.takeDamage(5);
    }


    @Override
    public boolean ISLive() {
        return false;
    }
}
